slag2d.f(3)

NAME
slag2d.f

SYNOPSIS

  Functions/Subroutines
subroutine slag2d (M, N, SA, LDSA, A, LDA, INFO)
SLAG2D converts a single precision matrix to a double precision matrix.

Function/Subroutine Documentation

  subroutine slag2d (integer M, integer N, real, dimension( ldsa, * ) SA, integer LDSA, double precision, dimension( lda, * ) A, integer LDA, integer INFO)

Purpose:

     SLAG2D converts a SINGLE PRECISION matrix, SA, to a DOUBLE
     PRECISION matrix, A.
     Note that while it is possible to overflow while converting
     from double to single, it is not possible to overflow when
     converting from single to double.
     This is an auxiliary routine so there is no argument checking.

Parameters
    M

              M is INTEGER
              The number of lines of the matrix A.  M >= 0.

    N

              N is INTEGER
              The number of columns of the matrix A.  N >= 0.

    SA

              SA is REAL array, dimension (LDSA,N)
              On entry, the M-by-N coefficient matrix SA.

    LDSA

              LDSA is INTEGER
              The leading dimension of the array SA.  LDSA >= max(1,M).

    A

              A is DOUBLE PRECISION array, dimension (LDA,N)
              On exit, the M-by-N coefficient matrix A.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,M).

    INFO

              INFO is INTEGER
              = 0:  successful exit

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 103 of file slag2d.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.